Jifty::Plugin::Config::Action::AddConfig(3)

NAME
Jifty::Plugin::Config::Action::AddConfig - add a configuration entry

METHODS

  contextualize
Takes a context string (slash-separated list of keys) and returns a pair of hash-references: the "top" of the config (for merging) and the "current pointer" into the "top" hashref for where the new config entry should go.

  write_new_config
Merges the existing config file at "target_file" with the new entry and updates "target_file".

  take_action
Sets "field = value" at "context" in "target_file".